> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Companies

> Get all companies that your API key is associated with. This endpoint returns detailed information about each company, including its ID, name, external ID, and associated sites.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json get /company
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /company:
    get:
      tags:
        - Companies
      summary: Retrieve Companies
      description: >-
        Get all companies that your API key is associated with. This endpoint
        returns detailed information about each company, including its ID, name,
        external ID, and associated sites.
      operationId: company_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Company'
          description: ''
      security:
        - ExternalAuthentication: []
components:
  schemas:
    Company:
      type: object
      description: >-
        Serializer for externally available fields of a Company object including
        related sites.
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the company.
        externalId:
          type:
            - string
            - 'null'
          description: >-
            External identifier for the company. Used to associate company in
            Nectar with company within your database.
        name:
          type: string
          description: Name of the company.
          maxLength: 200
        dataCollectionStartDate:
          type: string
          format: date
          description: >-
            Date when data collection for the company begins. This is the date
            from which Nectar will pull historical data. Similar fields at the
            site and workflow level can override this date. Defaults to January
            1st of the previous year.
        isImpliedMeteringEnabled:
          type: boolean
          description: >-
            Indicates if implied metering is enabled for the company. Defaults
            to False.
        impliedMeteringFraction:
          type: string
          format: decimal
          pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
          description: >-
            Fraction used to estimate sewer usage from water usage for implied
            metering. If a sewage chargeis found in the data without water
            usage, this fraction is used to estimate the waste water usage that
            corresponds to the sewage charge. Defaults to 1.0.
        isDemandEnabled:
          type: boolean
          description: >-
            [BETA] Enable tracking of electricity demand meters. When enabled,
            bills will be processed to extract demand usage data in addition to
            standard consumption data.
        isBasicIdentifierMappingEnabled:
          type: boolean
          description: >-
            Indicates if basic identifier name mapping is enabled for the
            company, in which case, meter identifiers will be labeled with a
            limited set of identifier types. When disabled (by default), the
            full range of identifier types is used for labeling.
        isLowAccuracyModeEnabled:
          type: boolean
          description: >-
            Indicates if a lower accuracy, fast pass mode is forced for the
            company. When enabled, all bills will bypass checksum validation and
            go directly to submission. This provides faster processing but lower
            accuracy.
        sites:
          type: array
          items:
            $ref: '#/components/schemas/SiteSkeletonSerializerV2'
        users:
          type: array
          items:
            type: string
          description: List of user email addresses associated with the company.
      required:
        - id
        - isDemandEnabled
        - name
        - sites
        - users
    SiteSkeletonSerializerV2:
      type: object
      description: Skeleton serializer for externally available fields of a Site object.
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the site.
        externalId:
          type:
            - string
            - 'null'
          description: >-
            ID of the site on external platforms used during exports. Used to
            associate site in Nectar with site within your database.
        name:
          type: string
          description: Name of the site.
          maxLength: 255
        address:
          type: string
          description: Address of the site.
          maxLength: 255
        path:
          type: array
          items:
            type: string
            maxLength: 100
          description: >-
            List of location tags in increasing specificity used to filter
            sites. Filters must be entered from more general to more specific.
            E.g. ['US', 'CA', 'ON']
          maxItems: 10
        occupancyPercent:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,4})?$
          description: >-
            Occupancy percent, must be a number from 0 to 100. Usage for the
            site will be multiplied by this value for specified connections.
        dataCollectionStopDate:
          type:
            - string
            - 'null'
          format: date
          description: >-
            Date when data collection for this site was stopped. A non-null
            value indicates the site has been soft-deleted/archived.
      required:
        - dataCollectionStopDate
        - id
        - name
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````